#ifndef FLASH_SYNCHRONIZER_H
#define FLASH_SYNCHRONIZER_H

/******************************************************************************
闪烁同步信号
******************************************************************************/
#define FLASH_SYNC_05Hz  Get_Flash_05Hz( )
#define FLASH_SYNC_1Hz   Get_Flash_1Hz( )
#define FLASH_SYNC_1_5Hz Get_Flash_1_5Hz( )
#define FLASH_SYNC_2_5Hz Get_Flash_2_5Hz( )
#define FLASH_SYNC_2Hz   Get_Flash_2Hz( )
#define FLASH_SYNC_4Hz   Get_Flash_4Hz( )
#define FLASH_SYNC_5Hz   Get_Flash_5Hz( )

/******************************************************************************
函数声明
******************************************************************************/
void          Flash_Sync_Signal_Generation_Service(void); /* must put into 5ms task */
unsigned char Get_Flash_05Hz(void);
unsigned char Get_Flash_1Hz(void);
unsigned char Get_Flash_1_5Hz(void);
unsigned char Get_Flash_2_5Hz(void);
unsigned char Get_Flash_2Hz(void);
unsigned char Get_Flash_4Hz(void);
unsigned char Get_Flash_5Hz(void);
#endif
